org.wso2.carbon.device.mgt.mobile.windows.api.common.util

## Class OAuthValidationResponse

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.util.OAuthValidationResponse

-     public class OAuthValidationResponse
      extends Object

  Class for OAuthValidation Response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthValidationResponse()`
    `OAuthValidationResponse(String userName, String tenantDomain, boolean isValid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorMsg()`
    `String` | `getTenantDomain()`
    `String` | `getUserName()`
    `boolean` | `isValid()`
    `void` | `setErrorMsg(String errorMsg)`
    `void` | `setIsValid(boolean isValid)`
    `void` | `setTenantDomain(String tenantDomain)`
    `void` | `setUserName(String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuthValidationResponse

          public OAuthValidationResponse()

    - #### OAuthValidationResponse

          public OAuthValidationResponse(String userName,
                                 String tenantDomain,
                                 boolean isValid)

  - ### Method Detail

    - #### getUserName

          public String getUserName()

    - #### setUserName

          public void setUserName(String userName)

    - #### getTenantDomain

          public String getTenantDomain()

    - #### setTenantDomain

          public void setTenantDomain(String tenantDomain)

    - #### isValid

          public boolean isValid()

    - #### setIsValid

          public void setIsValid(boolean isValid)

    - #### getErrorMsg

          public String getErrorMsg()

    - #### setErrorMsg

          public void setErrorMsg(String errorMsg)

Copyright © 2017 WSO2. All rights reserved.